## blackhole-exim 1.0.9-2

=== Makefile ===
all:
	exec ./Setup

=== SMTP_DEMON/Makefile ===
CFLAGS := -Wall -O2 $(CFLAGS)
#DB = -g

all: demon.c
	$(CC) $(CFLAGS) $(DB) -o demon demon.c
	strip demon

clean:
	rm -f demon *.o

install:
	echo "copy demon.init somewhere and startup by running it"
	echo "you probably want to edit it and change the default command"
	echo "line arguments"

=== ripmime/Makefile ===

all: mimelib

clean:
	$(MAKE) -f Makefile.orig clean
	rm -f *.[ao]

mimelib:
	$(MAKE) -f Makefile.orig mimelib

ripmime.a: mimelib

ripmime: mimelib

install:
	$(MAKE) -f Makefile.orig install

=== report_programs/spamcomplain/Makefile ===
ifdef DEBUG
CFLAGS=-O0 -g -DDEBUG
else
CFLAGS:=$(CFLAGS)
STRIP=-s
endif
CFLAGS+= -Wall

ifndef PREFIX
PREFIX=/usr/local
endif

spamcomplain : spamcomplain.c
	gcc $(CFLAGS) -o $@ spamcomplain.c -lresolv

install : spamcomplain
	-mkdir $(PREFIX)/bin
	-mkdir $(PREFIX)/man
	-mkdir $(PREFIX)/man/man1
	install $(STRIP) -m 755 -o root -g bin spamcomplain $(PREFIX)/bin
	install -m 644 -o root -g root spamcomplain.1 $(PREFIX)/man/man1

tar :
	tar -C.. -cvzf spamcomplain.tgz --exclude '*.o' --exclude 'RCS' --exclude spamcomplain --exclude spamcomplain.tgz spamcomplain

clean :
	rm spamcomplain
	rm spamcomplain.tgz

=== ripmime/tnef/Makefile ===

CC=cc

# Possible platforms are SUN, HPUX, DEC, SGI, AIX, Linux and MSDOS
# The main definitions are for 32/16 bits and for byte order, the 
# default is big endian.  You can do -D__TNEF_BYTE_ORDER 1234 for little
# endian
PLATFORM=-D___TNEF_BYTE_ORDER=4321 
#CFLAGS = -O2 -ggdb
CFLAGS = -O2 


default: config.h tnef.h tnef.c
	$(CC) $(CFLAGS) $(PLATFORM) -c tnef.c
	
lib: tnef.o
	ar ruvs tnef.a tnef.o

clean:
	rm -f *.o *.~[ch]

=== debian/changelog ===
blackhole-exim (1.0.9-2) unstable; urgency=low

  * Substituted relays.osirusoft.com with blackholes.easynet.nl in blackhole.h

 -- Michael Hummel <mhummel@debian.org>  Thu,  2 Oct 2003 21:09:40 +0200

blackhole-exim (1.0.9-1) unstable; urgency=low

  * Latest upstream
  * Extending depends to exim4
    (closes: #213692)
    (closes: #213649)

  * Commenting out the mysql-parts of bhedit
    (closes: #213659)
  * Removing build-depends on automake as configure should understand now how not to include sqllibs 
  * Provides and conflicts with blackhole-forward
  * Changed manpages and blackhole.conf.example ([excluded_relay] -> [my_relay])
  * Standards-Version to 3.6.1

 -- Michael Hummel <mhummel@debian.org>  Thu,  2 Oct 2003 18:23:47 +0200

blackhole-exim (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Tue,  3 Dec 2002 11:24:09 +0100

blackhole-exim (0.9.162-1) unstable; urgency=low

  * New upstream release

 -- Michael Hummel <mhummel@debian.org>  Tue, 24 Sep 2002 07:19:50 +0200

blackhole-exim (0.9.161-1) unstable; urgency=low

  * New upstream release
  * Added /etc/blackhole.conf
  * Disabled bogofilter support 
  * Some changes in the documentation
  * Built with Standards-Version: 3.5.7

 -- Michael Hummel <mhummel@debian.org>  Mon, 23 Sep 2002 13:09:31 +0200

blackhole-exim (0.9.160-1) unstable; urgency=low

  * New upstream release (closes: #160132)

 -- Michael Hummel <mhummel@debian.org>  Sat, 14 Sep 2002 20:48:28 +0200

blackhole-exim (0.9.159-1) unstable; urgency=low

  
  * New upstream release
  * New description
    (closes: #160158 , #160242)
  
  * Added experimental (!) support for bogofilter as an external check
    program 

 -- Michael Hummel <mhummel@debian.org>  Mon,  9 Sep 2002 20:53:05 +0200

blackhole-exim (0.9.158-1) unstable; urgency=low

  * New upstream release
  * Build-Depends now on automake1.6
    (closes: #160036)

 -- Michael Hummel <mhummel@debian.org>  Sun,  8 Sep 2002 17:43:59 +0200

blackhole-exim (0.9.156-1) unstable; urgency=low

  * New upstream release
  * Fixed some remnants from the qmail version in README.Debian

 -- Michael Hummel <mhummel@debian.org>  Thu,  5 Sep 2002 16:17:55 +0200

blackhole-exim (0.9.155-3) unstable; urgency=low

  * Fixed mysql configure overwriting

 -- Michael Hummel <mhummel@debian.org>  Sun,  1 Sep 2002 22:29:58 +0200

=== debian/control ===
Source: blackhole-exim
Section: mail
Priority: optional
Maintainer: Michael Hummel <mhummel@debian.org>
Build-Depends: debhelper (>> 3.0.0), libpcre3-dev
Standards-Version: 3.6.1

Package: blackhole-exim
Architecture: any
Depends: ${shlibs:Depends}, exim|exim4|postfix
Recommends: razor
Suggests: clamav
Provides: blackhole-forward
Conflicts: blackhole-qmail, blackhole-forward
Description: Spam filter - exim version
 Blackhole is a spam filter written in C. This version is built for
 the exim MTA.  Blackhole offers a wide range of filtering and
 blocking options; for every check individual actions can be chosen
 (deleting/Subject tags/ bouncing/bounce message sent, and executing a
 program on the message.)
 Razor and external check programs are supported. There is also
 built-in support for the clamav virus checker.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3
# custom
tmp = $(CURDIR)/debian/blackhole-exim
install_file = install -p    -o root -g root -m 644
install_program = install -p    -o root -g root -m 755
makedirectory = install -p -d -o root -g root -m 755
make_sticky = install -p -d -o root -g root -m 1777
make_sticky_mail = install -p -d -o root -g mail -m 1777
patchdir = $(CURDIR)/debian/patches/*
#
LINTIANDIR:= $(tmp)/usr/share/lintian/overrides
package = blackhole-exim
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	for i in $(patchdir); do  patch -p0 < $${i}; done;
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)   --enable-debug  --with-perl-bin=/usr/bin/perl --with-clamscan-bin=/usr/bin/clamscan  --with-razor-bin=/usr/bin/razor-check  --without-sophos-libs --without-tmicro-libs --disable-sql-config --enable-one-box  --prefix=/usr --enable-sendmail --enable-sendmail-setgid --without-mysql-includes --without-pgsql-includes --without-mysql-libs  --without-pgsql-includes           

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/blackhole.sgml > blackhole.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs  

	# Add here commands to install the package into debian/blackhole.
	#patch -p0 < debian/prefix.patch
	$(makedirectory) $(tmp)/var/spool/blackhole
	$(makedirectory) $(tmp)/usr/share/blackhole	
	$(makedirectory) $(LINTIANDIR)
	$(make_sticky) $(tmp)/var/spool/blackhole/mime 
	$(make_sticky)  $(tmp)var/spool/blackhole/msg/cur 
	$(make_sticky)  $(tmp)/var/spool/blackhole/msg/new 
	$(make_sticky_mail)  $(tmp)/var/spool/blackhole/msg/tmp 
	$(make_sticky) $(tmp)/var/spool/blackhole/scanner 
	$(install_program) blackhole  $(tmp)/usr/bin 
	$(install_program) scripts/bhedit  $(tmp)/usr/bin 
	$(install_program) scripts/bhconf  $(tmp)/usr/bin 
	#$(install_program) scripts/bhtest  $(tmp)/usr/bin 
	$(install_program) scripts/bhinstall  $(tmp)/usr/bin 
	$(install_file) etc/dot-blackhole.temp $(tmp)/usr/share/blackhole
	$(install_file) etc/dot-muttrc-spam $(tmp)/usr/share/blackhole
	$(install_file) etc/dot-muttrc-virus $(tmp)/usr/share/blackhole
	$(install_file) debian/blackhole.conf $(tmp)/etc
	echo  -e '$(package): non-standard-dir-perm'\
        > $(LINTIANDIR)/$(package)
#$(MAKE)  prefix=`pwd`/debian/`dh_listpackages`/usr install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs README TODO NEWS debian/QuickStart debian/README.Debian
	dh_installexamples byz_scripts scripts/parse_assassin_rules.pl scripts/parse_bad_wordlist.pl scripts/spam scripts/virus debian/dot-exim debian/blackhole.conf.example 
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/bh_doc/bhconf.1 debian/bh_doc/bhinstall.1 debian/bh_doc/blackhole.1 debian/bh_doc/dot_blackhole.5
#	dh_installinfo
#	dh_undocumented bhtest.1
	dh_installchangelogs ChangeLog
	dh_link  usr/share/man/man1/bhconf.1  usr/share/man/man1/bhedit.1  
	dh_strip
	dh_compress
#	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
